Providing the best adjuster training in the industry.

Technical Requirements

Below are the technical requirements and instructions necessary to use the WeTrainAdjusters.com online courses.

  • You may use the following browsers and operating systems to access our training:
    - Internet Explorer v8 or above on WIN v7+
    - Mozilla Firefox v15 or above on WIN v7+ or v20 or above on MAC
    - Google Chrome v25 or above on WIN v7+ or v25 or above on MAC
    - Safari v5.1 or above on MAC
    - Opera v12 or above on MAC

  • Adobe Flash Player (latest version) is required.
    Click on the icon to download and install the latest version.
    Get Adobe Flash Player

  • If you would like to use an Android device to take the training, you can download the Photon Flash Player and Browser for Android devices.

  • To use our courses, you will also need to configure your browser to allow pop-ups and enable JavaScript.

  • Adobe Acrobat Reader
    Click on the icon to download and install the latest version.
    Get Adobe Reader

  • Audio/sound capability (course dependent)
    Note: The first page of each course will inform you as to whether audio is required for the course.

  • Our courses are best viewed using Internet connection speeds equivalent to broadband (Cable, DSL, etc.) or faster.

  • Our courses are designed for monitors with a resolution setting of 1024x768 or higher.

  • It is recommended that you define WeTrainAdjusters.com as a "Trusted Site" if using Internet Explorer as your browser. View instructions on how to add a Trusted Site in the Internet Explorer Security Zone on the Microsoft Web site.